%if 0%{?fedora} > 6
%define kdelibs3 kdelibs3
%else
%define kdelibs3 kdelibs
%endif

Name:		digikam-doc
Version:	0.9.4
Release:	3%{?dist}
Summary:	Documentation for the digiKam and Showfoto

Group:		Documentation
License:	GFDL
URL:		http://www.digikam.org/
Source0:	http://downloads.sourceforge.net/digikam/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch
BuildRequires:	automake %{kdelibs3}-devel
Requires:	digikam >= %{version}

Provides:	digikamimageplugins-doc = %{version}-%{release}
Obsoletes:	digikamimageplugins-doc < 0.9.0-2

%description
Documentation for the digiKam and Showfoto.

%prep
%setup -q

%build
unset QTDIR || : ; . %{_sysconfdir}/profile.d/qt.sh

%configure --target=%{_build_cpu}
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Make symlink relative
pushd $RPM_BUILD_ROOT%{_docdir}/HTML/
for i in *
do
	pushd $RPM_BUILD_ROOT%{_docdir}/HTML/$i/
	for j in *
	do
		pushd $RPM_BUILD_ROOT%{_docdir}/HTML/$i/$j/
		ln -sf ../common
	done
	popd
done
popd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING-DOCS
%{_docdir}/HTML/*/digikam/
%{_docdir}/HTML/*/showfoto/

%changelog
* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun May 11 2008 Marcin Garski <mgarski[AT]post.pl> 0.9.4-2
- Update to 0.9.4

* Thu Jan 10 2008 Marcin Garski <mgarski[AT]post.pl> 0.9.3-1
- Update to 0.9.3

* Sun Dec 09 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.9.3-0.2.beta3
- BR: kdelibs3-devel

* Sat Dec 01 2007 Marcin Garski <mgarski[AT]post.pl> 0.9.3-0.1.beta3
- Update to 0.9.3-beta3

* Thu Jun 07 2007 Marcin Garski <mgarski[AT]post.pl> 0.9.2-0.1.beta2
- Update to 0.9.2-beta2 (merge with digikamimageplugins-doc)

* Thu Mar 29 2007 Marcin Garski <mgarski[AT]post.pl> 0.9.1-1
- Update to 0.9.1
- Spec tweak up

* Wed Dec 20 2006 Marcin Garski <mgarski[AT]post.pl> 0.8.2-4
- Change requires to allow coexist older doc with newer apps package (#220297)

* Thu Aug 31 2006 Marcin Garski <mgarski[AT]post.pl> 0.8.2-3
- Remove redundant %%doc
- Fix noarch building

* Thu Aug 31 2006 Marcin Garski <mgarski[AT]post.pl> 0.8.2-2
- Changed summary field
- Build as noarch

* Sat Aug 26 2006 Marcin Garski <mgarski[AT]post.pl> 0.8.2-1
- Initial specfile for Fedora Extras
